Bug 1120654 - (CVE-2018-1000878) VUL-1: CVE-2018-1000878: libarchive: Use After Free vulnerability in RAR decoder
(CVE-2018-1000878)
VUL-1: CVE-2018-1000878: libarchive: Use After Free vulnerability in RAR decoder
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/221608/
CVSSv2:NVD:CVE-2018-1000878:6.8:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-03 14:51 UTC by Karol Babioch
Modified: 2020-05-12 18:32 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2019-01-03 14:51:22 UTC
libarchive version commit 416694915449219d505531b1096384f3237dd6cc onwards
(release v3.1.0 onwards) contains a CWE-416: Use After Free vulnerability in RAR
decoder - libarchive/archive_read_support_format_rar.c that can result in
Crash/DoS - it is unknown if RCE is possible. This attack appear to be
exploitable via the victim must open a specially crafted RAR archive.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-1000878
http://www.debian.org/security/2018/dsa-4360
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-1000878
https://github.com/libarchive/libarchive/pull/1105/commits/bfcfe6f04ed20db2504db8a254d1f40a1d84eb28
Comment 2 Adrian Schröter 2019-01-18 08:51:00 UTC
git fixed by Karol
Comment 4 Swamp Workflow Management 2019-04-01 16:11:33 UTC
SUSE-SU-2019:0831-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120653,1120654,1120656,1120659,1124341,1124342
CVE References: CVE-2018-1000877,CVE-2018-1000878,CVE-2018-1000879,CVE-2018-1000880,CVE-2019-1000019,CVE-2019-1000020
Sources used:
SUSE Linux Enterprise Module for Development Tools 15 (src):    libarchive-3.3.2-3.8.4
SUSE Linux Enterprise Module for Basesystem 15 (src):    libarchive-3.3.2-3.8.4

*** NOTE: This information is not intended to be used for external
    communication, because this may only be a partial fix.
    If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-11-28 20:14:55 UTC
SUSE-SU-2019:3093-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120653,1120654,1124341,1124342,1155079
CVE References: CVE-2018-1000877,CVE-2018-1000878,CVE-2019-1000019,CVE-2019-1000020,CVE-2019-18408
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    libarchive-3.3.2-3.11.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    libarchive-3.3.2-3.11.1
SUSE Linux Enterprise Module for Development Tools 15 (src):    libarchive-3.3.2-3.11.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    libarchive-3.3.2-3.11.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    libarchive-3.3.2-3.11.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2019-11-28 20:21:38 UTC
SUSE-SU-2019:3092-1: An update that fixes 10 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1032089,1037008,1037009,1059134,1059139,1120653,1120654,1124341,1124342,1155079
CVE References: CVE-2016-10209,CVE-2016-10349,CVE-2016-10350,CVE-2017-14501,CVE-2017-14502,CVE-2018-1000877,CVE-2018-1000878,CVE-2019-1000019,CVE-2019-1000020,CVE-2019-18408
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libarchive-3.1.2-26.6.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    libarchive-3.1.2-26.6.1
SUSE Linux Enterprise Server 12-SP5 (src):    libarchive-3.1.2-26.6.1
SUSE Linux Enterprise Server 12-SP4 (src):    libarchive-3.1.2-26.6.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    libarchive-3.1.2-26.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2019-12-03 20:12:21 UTC
openSUSE-SU-2019:2615-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120653,1120654,1124341,1124342,1155079
CVE References: CVE-2018-1000877,CVE-2018-1000878,CVE-2019-1000019,CVE-2019-1000020,CVE-2019-18408
Sources used:
openSUSE Leap 15.0 (src):    libarchive-3.3.2-lp150.10.1
Comment 9 Swamp Workflow Management 2019-12-03 23:14:21 UTC
openSUSE-SU-2019:2632-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1120653,1120654,1124341,1124342,1155079
CVE References: CVE-2018-1000877,CVE-2018-1000878,CVE-2019-1000019,CVE-2019-1000020,CVE-2019-18408
Sources used:
openSUSE Leap 15.1 (src):    libarchive-3.3.2-lp151.5.3.1
Comment 10 Alexandros Toptsoglou 2020-04-28 13:55:00 UTC
Done